## r-cran-swagger 3.33.1

=== DESCRIPTION ===
Package: swagger
Type: Package
Title: Dynamically Generates Documentation from a 'Swagger' Compliant
        API
Version: 3.33.1
Authors@R: c(
    person("Barret", "Schloerke", email = "barret@rstudio.com", role = c("cre", "aut")),
    person("Javier", "Luraschi", email = "javier@rstudio.com", role = c("aut")),
    person(family = "RStudio", role = c("cph")),
    person(family = "SmartBear Software", role = c("aut", "cph"))
    )
Suggests: jsonlite, plumber, testthat
Description: A collection of 'HTML', 'JavaScript', and 'CSS' assets that
  dynamically generate beautiful documentation from a 'Swagger' compliant API:
  <https://swagger.io/specification/>.
License: Apache License 2.0 | file LICENSE
Encoding: UTF-8
LazyData: true
URL: https://github.com/rstudio/swagger
BugReports: https://github.com/rstudio/swagger/issues
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-10-02 20:56:03 UTC; barret
Author: Barret Schloerke [cre, aut],
  Javier Luraschi [aut],
  RStudio [cph],
  SmartBear Software [aut, cph]
Maintainer: Barret Schloerke <barret@rstudio.com>
Repository: CRAN
Date/Publication: 2020-10-02 21:10:02 UTC

=== debian/changelog ===
r-cran-swagger (3.33.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 23:04:10 +0200

r-cran-swagger (3.33.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #970676)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2020 13:42:46 +0200

=== debian/control ===
Source: r-cran-swagger
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-swagger
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-swagger.git
Homepage: https://cran.r-project.org/package=swagger
Rules-Requires-Root: no

Package: r-cran-swagger
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R dynamically generate documentation from a 'Swagger' compliant API
 A collection of 'HTML', 'JavaScript', and 'CSS' assets that
 dynamically generate beautiful documentation from a 'Swagger' compliant API:
 <https://swagger.io/specification/>.

## r-cran-swagger 5.17.14

=== debian/changelog ===
r-cran-swagger (5.17.14-1ubuntu1) oracular; urgency=medium

  * Skip test-md5sum.R which downloads images and compares md5sums

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 09 Aug 2024 15:37:28 +0000

r-cran-swagger (5.17.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 26 Jun 2024 08:55:44 +0900

=== debian/control ===
Source: r-cran-swagger
Section: gnu-r
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-swagger
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-swagger.git
Homepage: https://cran.r-project.org/package=swagger
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-swagger
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R dynamically generate documentation from a 'Swagger' compliant API
 A collection of 'HTML', 'JavaScript', and 'CSS' assets that
 dynamically generate beautiful documentation from a 'Swagger' compliant API:
 <https://swagger.io/specification/>.

## r-cran-swagger 5.17.14.1

=== DESCRIPTION ===
Package: swagger
Type: Package
Title: Dynamically Generates Documentation from a 'Swagger' Compliant
        API
Version: 5.17.14.1
Authors@R: c(
    person("Barret", "Schloerke", role = "aut", email = "barret@rstudio.com", comment = c(ORCID = "0000-0001-9986-114X")),
    person("Javier", "Luraschi", role = "aut", email = "javier@rstudio.com"),
    person("Bruno", "Tremblay", role = c("cre", "ctb"), email = "cran@neoxone.com"),
    person(family = "RStudio", role = "cph"),
    person(family = "SmartBear Software", role = c("aut", "cph"))
    )
Suggests: jsonlite, plumber, testthat
Description: A collection of 'HTML', 'JavaScript', and 'CSS' assets that
  dynamically generate beautiful documentation from a 'Swagger' compliant API:
  <https://swagger.io/specification/>.
License: Apache License 2.0 | file LICENSE
Encoding: UTF-8
URL: https://rstudio.github.io/swagger/,
        https://github.com/rstudio/swagger
BugReports: https://github.com/rstudio/swagger/issues
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-06-28 16:48:07 UTC; tremb
Author: Barret Schloerke [aut] (<https://orcid.org/0000-0001-9986-114X>),
  Javier Luraschi [aut],
  Bruno Tremblay [cre, ctb],
  RStudio [cph],
  SmartBear Software [aut, cph]
Maintainer: Bruno Tremblay <cran@neoxone.com>
Repository: CRAN
Date/Publication: 2024-06-28 17:10:02 UTC

=== debian/changelog ===
r-cran-swagger (5.17.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Jan 2025 08:23:30 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: r-cran-swagger
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-swagger
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-swagger.git

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-jsonlite,
        r-cran-plumber,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/swagger_([-\d.]*)\.tar\.gz
